petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCHYPRESetType

Sets which hypre preconditioner you wish to use

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCHYPRESetType(PC pc,const char name[])

### Input Parameters

| pc | - the preconditioner context
| name | - either pilut, parasails, boomeramg, ams, ads

### Options Database Keys

-pc_hypre_type - One of pilut, parasails, boomeramg, ams, ads

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCHYPRE

### Level

intermediate

### Location

src/ksp/pc/impls/hypre/hypre.c

### Implementations

PCHYPRESetType_HYPRE in src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages